OpenMesh::AutoPropertyHandleT< Mesh_, PropertyHandle_ > Class Template Reference
Inheritance diagram for OpenMesh::AutoPropertyHandleT< Mesh_, PropertyHandle_ >:
[legend]
Collaboration diagram for OpenMesh::AutoPropertyHandleT< Mesh_, PropertyHandle_ >:
[legend]

## Public Types

typedef Mesh_ | Mesh
typedef PropertyHandle_ | PropertyHandle
typedef PropertyHandle | Base
typedef PropertyHandle::Value | Value
typedef AutoPropertyHandleT< Mesh, PropertyHandle > | Self

## Public Member Functions

| AutoPropertyHandleT (const Self &_other)
| AutoPropertyHandleT (Mesh &_m, const std::string &_pp_name=std::string())
| AutoPropertyHandleT (Mesh &_m, PropertyHandle _pph)
void | add_property (Mesh &_m, const std::string &_pp_name=std::string())
void | remove_property ()
template<class _Handle >
Value & | operator[] (_Handle _hnd)
template<class _Handle >
const Value & | operator[] (_Handle _hnd) const
bool | own_property () const
void | free_property ()

## Protected Attributes

Mesh * | m_
bool | own_property_

The documentation for this class was generated from the following file:

- OpenMesh/Core/Utils/AutoPropertyHandleT.hh